vero_express 0.0.2

  • Readme
  • Changelog
  • Installing
  • 13

VeroExpress #

A new Flutter package project.

Getting Started #

This project is a starting point for a Dart package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

[0.0.2] - TODO: Add release date. #

  • TODO: Describe initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  vero_express: ^0.0.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:vero_express/vero_express.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
14
Health:
Code health derived from static analysis. [more]
0
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
30
Overall:
Weighted score of the above. [more]
13
Learn more about scoring.

We analyzed this package on Apr 7, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6
  • Flutter: 1.12.13+hotfix.8

Health issues and suggestions

Fix lib/Model/Dynamic_WS.dart. (-100 points)

Analysis of lib/Model/Dynamic_WS.dart failed with 36 errors, 2 hints, including:

line 13 col 3: Undefined class 'Vero_ViewState'.

line 14 col 3: Undefined class 'Vero_ViewState'.

line 24 col 2: Undefined class 'ActionResults_ws'.

line 25 col 2: Undefined class 'ActionResults_ws'.

line 26 col 2: Undefined class 'ActionResults_ws'.

Fix lib/Services/PostMan.dart. (-96.93 points)

Analysis of lib/Services/PostMan.dart failed with 12 errors, 6 hints, including:

line 30 col 8: Undefined name 'WebConfig'.

line 31 col 18: Undefined name 'WebConfig'.

line 32 col 74: Undefined name 'WebConfig'.

line 45 col 8: Undefined name 'WebConfig'.

line 52 col 137: Undefined name 'WebConfig'.

Fix lib/vero_express.dart. (-44.31 points)

Analysis of lib/vero_express.dart failed with 2 errors, 2 hints:

line 151 col 27: Undefined name 'SharedPreferences'.

line 160 col 29: Undefined name 'SharedPreferences'.

line 14 col 7: Name types using UpperCamelCase.

line 137 col 7: Name types using UpperCamelCase.

Document public APIs. (-0.66 points)

174 out of 176 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Fix additional 9 files with analysis or formatting issues. (-4.98 points)

Additional issues in the following files:

  • lib/DLL/WebConfig.dart (3 hints)
  • lib/UserControl/Vero_TextBox.dart (3 hints)
  • lib/DLL/ActionResults_ws.dart (2 hints)
  • lib/DLL/API_Body.dart (1 hint)
  • lib/DLL/Item.dart (1 hint)
  • lib/DLL/BaseView.dart (Run flutter format to format lib/DLL/BaseView.dart.)
  • lib/DLL/Debouncer.dart (Run flutter format to format lib/DLL/Debouncer.dart.)
  • lib/DLL/Location.dart (Run flutter format to format lib/DLL/Location.dart.)
  • lib/UserControl/Vero_Enum.dart (Run flutter format to format lib/UserControl/Vero_Enum.dart.)

Maintenance issues and suggestions

No valid SDK. (-20 points)

The analysis could not detect a valid SDK that can use this package.

Support latest dependencies. (-10 points)

The version constraint in pubspec.yaml does not support the latest published versions for 1 dependency (get_it).

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and vero_express.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
get_it ^3.0.3 3.1.0 4.0.1
http ^0.12.0+1 0.12.0+4
scoped_model ^1.0.1 1.0.1
shared_preferences ^0.5.6+1 0.5.6+3
Transitive dependencies
async 2.4.1
charcode 1.1.3
collection 1.14.11 1.14.12
flutter_web_plugins 0.0.0
http_parser 3.1.4
meta 1.1.8
path 1.6.4
pedantic 1.9.0
shared_preferences_macos 0.0.1+6
shared_preferences_platform_interface 1.0.3
shared_preferences_web 0.1.2+4
sky_engine 0.0.99
source_span 1.7.0
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test